%define upstream_name    Net-IP-Minimal
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Minimal functions from Net::IP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch

%description
the Net::IP manpage is very feature complete, but I found I was only using
three of its functions and it uses quite a bit of memory the
https://rt.cpan.org/Public/Bug/Display.html?id=24525 manpage.

This module only provides the minimal number of functions that I use in my
modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README LICENSE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 219694
- imported package perl-Net-IP-Minimal


* Tue Mar 06 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
